# $OpenBSD: Makefile.template,v 1.46 2005/11/12 00:07:22 sturm Exp $
# $FreeBSD/NetBSD: credit FreeBSD/NetBSD if thats where the port came from $
# Original from: credit the original author here
#
# Replace ??? with appropriate values
# Remove extraneous comments before commit.

# Reasons why the port/package shouldn't be built
#
#ONLY_FOR_ARCHS=	???
#NOT_FOR_ARCHS=		???
#COMES_WITH=		???
#BROKEN=		"reason"

#
# Very short description of the package, 60 chars max
#
COMMENT=		"???"
# COMMENT-foo=		"???"	for multi packages

#
# What port/package will be created
#
DISTNAME=		???
#PKGNAME=		???
#PKGNAME-foo=		???	for multi packages
CATEGORIES=		???

#HOMEPAGE=		???	URL

# where to send bitches about this port
# Put a full-fledged email address, like
# MAINTAINER=	John Doe <doe57@machine.somewhere.org>
# Default value is ports@openbsd.org, no need to fill in
#MAINTAINER=		???

# Licensing:  This determines what we can distribute.
# When you determine the license type, make sure to look at ALL distfiles.
# Every distfile can have a different license.  The PERMIT_* values are
# determined by the most restrictive license.  If you have two licenses
# that are in conflict, set PERMIT_* based on the most restrictive one.
# Make SURE you get these values right.

# Put a comment there to state what's going on.
# Can be as brief as `BSD' or `GPL', but it'd better be easy to check,
# if someone wants to double-check licensing.
#PERMIT_PACKAGE_CDROM=	Yes | "Reason if No"
#PERMIT_PACKAGE_FTP=	Yes | "Reason if No"
#PERMIT_DISTFILES_CDROM=Yes | "Reason if No"
#PERMIT_DISTFILES_FTP=	Yes | "Reason if No"
#WANTLIB=		???

# where the source files and patches can be fetched
#
MASTER_SITES=		???
#MASTER_SITES=		${MASTER_SITE_foo:=subdir/}
# if more master sites are needed...
#MASTER_SITES0=
# ...
#DISTFILES=		???
#EXTRACT_ONLY=		???
#EXTRACT_SUFX=		.tar.Z

#DIST_SUBDIR=		???

# PATCHFILES are also retrieved from MASTER_SITES*
#PATCHFILES=		???
#PATCH_DIST_STRIP=	-p0

# Dependencies
#
#BUILD_DEPENDS=		???
#RUN_DEPENDS=		???
#LIB_DEPENDS=		???
#REGRESS_DEPENDS=	???

#MAKE_FLAGS=		???
#MAKE_ENV=		???
#FAKE_FLAGS=		???
#REGRESS_FLAGS=		???

# build/configuration variables
#
#SEPARATE_BUILD=	concurrent  (build simultaneously on all arches)
#SEPARATE_BUILD=	simple  (configure/build still recreates files in source)
#USE_X11=		Yes
#USE_GMAKE=		Yes
# Programs that uses libtool should use this option,
# unless there is a really good reson not to.
#USE_LIBTOOL=		Yes
# Set CONFIGURE_STYLE to value corresponding to some standard configuration
# 	  perl [modbuild]: perl's MakeMaker Makefile.PL (modbuild: perl's
#	  Module::Build Build.PL)
# 	  gnu [autoconf] [old] [dest]: gnu style configure (old: no
# 	  sysconfdir), (dest: add DESTDIR, does not handle it),
# 	  (autoconf: needed by port, implies gnu)
# 	XXX: cygnus products do NOT use autoconf for making the main
# 		configure from configure.in
# 	  imake [noman]: port uses imake for configuration.
#   	  (noman: no man page installation)
# 	  simple: port has its own configure script
#CONFIGURE_STYLE=	
#CONFIGURE_SCRIPT=	??? (if other than configure)
#CONFIGURE_ARGS+=	${CONFIGURE_SHARED}
#CONFIGURE_ENV=		???

# Is the build automagic or is it interactive
#
#IS_INTERACTIVE=	Yes
#REGRESS_IS_INTERACTIVE=Yes

# Assume you have one multiple choice flavor: 1 2 3 and switches a b.
# You would write
#
#FLAVORS=1 2 3 a b
#FLAVOR?=
# grab multiple choice value
#CHOICE=${FLAVOR:L:Na:Nb}
# check that CHOICE is 1 OR 2 OR 3, or error out
#.if ${CHOICE} == "1"
# code for 1
#.elif ${CHOICE} == "2"
# code for 2
#.elif ${CHOICE} == "3"
# code for 3
#.else
#ERRORS+= "Fatal: Conflicting flavor: ${FLAVOR}"
#.endif
# check for switches
#.if ${FLAVOR:L:Ma}
# code for a
#.endif
#.if ${FLAVOR:L:Mb}
# code for b
#.endif

# Things that we don't want to do for this port/package
# Generally, DON'T set anything to No if it's not needed.
# The time gained is not worth it.
#
#NO_DEPENDS=		Yes
#NO_CHECKSUM=		Yes
#NO_BUILD=		Yes
#NO_PKG_REGISTER=	Yes
#NO_REGRESS=		Yes

# Overrides for default values
#
#CFLAGS=		???
#LDFLAGS=		???
#MAKE_FILE=		???
#PKG_ARCH=		???
#SCRIPTS_ENV=		???
#WRKDIST=		??? if other than ${WRKDIR}/$DISTNAME
#WRKSRC=		??? if other than ${WRKDIST}
#WRKBUILD=		??? if other than ${WRKSRC}

#ALL_TARGET=		???
#INSTALL_TARGET=	???
#REGRESS_TARGET=	???

.include <bsd.port.mk>
